{
  "name": "next-admin-template",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "env-cmd -f .env.development next dev",

    "dev:prod": "env-cmd -f .env.production next dev",
    "build:prod": "env-cmd -f .env.production next build",
    "start:prod": "env-cmd -f .env.production next start",

    "dev:test": "env-cmd -f .env.test  next dev",
    "build:test": "env-cmd -f .env.test next build",
    "start:test": "env-cmd -f .env.test next start",

    "dev:uat": "env-cmd -f .env.uat next dev",
    "build:uat": "env-cmd -f .env.uat next build",
    "start:uat": "env-cmd -f .env.uat next start",

    "build": "env-cmd -f .env.production next build",
    "lint": "next lint",
    "preinstall": "npx only-allow pnpm"
  },
  "dependencies": {
    "ahooks": "^3.8.0",
    "antd-mobile": "^5.37.1",
    "axios": "^1.7.2",
    "clsx": "^2.1.1",
    "dayjs": "^1.11.11",
    "env-cmd": "^10.1.0",
    "framer-motion": "^11.3.2",
    "js-cookie": "^3.0.5",
    "next": "14.2.4",
    "next-intl": "^3.17.0",
    "next-themes": "^0.3.0",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "sass": "^1.77.8",
    "swiper": "^11.1.5",
    "tailwind-merge": "^2.4.0",
    "zustand": "^4.5.4"
  },
  "devDependencies": {
    "@types/js-cookie": "^3.0.6",
    "@types/node": "^20.14.10",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@types/webpack-env": "^1.18.5",
    "eslint": "^8.57.0",
    "eslint-config-next": "14.2.4",
    "eslint-config-prettier": "^9.1.0",
    "postcss": "^8.4.39",
    "prettier": "^3.3.2",
    "prettier-plugin-organize-imports": "^4.0.0",
    "prettier-plugin-tailwindcss": "^0.6.5",
    "tailwindcss": "^3.4.4",
    "typescript": "^5.5.3"
  },
  "packageManager": "pnpm@9.4.0"
}
